(* file: copyString.ml
 * author: Bob Muller
 *
 * A simple little program illustrating the use of recursion
 * to express repetition.
 *
 * Usage: this code can be run in an OCaml REPL.
 *
 * copyString : string -> int -> string
 *
 * The call (copyString str n) returns n copies of str.
 *)
let rec copyString str n =
  match n = 0 with
  | true  -> ""
  | false -> str ^ (copyString str (n - 1))
